library share_package;
import 'package:url_launcher/url_launcher.dart';

enum ShareType{
  WhatsApp,
  Twitter,
  Facebook
}

class SocialMedia {
  static share(ShareType type,String message, String appId) {
    switch (type){
      case ShareType.WhatsApp:
        launchURL('whatsapp://send?text=' + message);
        break;

      case ShareType.Twitter:
        launchURL('https://mobile.twitter.com/intent/tweet?text=' + message);
        break;

      case ShareType.Facebook:
        launchURL("https://www.facebook.com/dialog/share?app_id=" + appId + "&display=popup&href="+ message);

    }
  }

  static launchURL(String url) async {
    launch(url);
  }
}